| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Slots | Protected Attributes | List of all members
Digikam::StyleSheetDebugger Class Reference
Inheritance diagram for Digikam::StyleSheetDebugger:

## Public Member Functions
| StyleSheetDebugger (QWidget *const object)
| This widget is for development purpose only: It allows the developer to change the style sheet on a widget dynamically.

## Protected Slots
void | buttonClicked ()

## Protected Attributes
QTextEdit * | m_edit = nullptr
QPushButton * | m_okButton = nullptr
QWidget * | m_widget = nullptr

## Constructor & Destructor Documentation

## ◆ StyleSheetDebugger()

Digikam::StyleSheetDebugger::StyleSheetDebugger | ( | QWidget *const | object | ) |
| explicit

If you want to develop or debug the stylesheet on your widget, add temporary code: new StyleSheetDebugger(myWidget); That's all. Change the style sheet by editing it and pressing Ok.